<?php
//require_once 'MailUp.class.php';

/**
 * Client class for MailUpWsImport Webservice
 */
class MailUpWsImport extends MailUp {

  protected $namespace;
	
	function initialize () {
    $headers = array("User" => $this->configuration['mailup_ws_import_user'], "Password" => $this->configuration['mailup_ws_import_pass']);    
    
    $header = new SOAPHeader($this->configuration['mailup_ws_namespace'], "Authentication", $headers);
		$this->client = new SoapClient($this->configuration['mailup_ws_import_wsdl'], array("trace" => 1, "exceptions" => 0));
		$this->client->__setSoapHeaders($header);
		
		return $this->initialized = true;
  }
  
  /**
   * Post invoke hook
   */     
  protected function postInvoke (&$response,$method,$parameters = null, $raw = false) {
    $response = $this->parseResponse($response);
  }
  
  /**
   * Parse MailUpWsImport SOAP response.
   * @return SimpleXMLElement the parsed response
   */      
  protected function parseResponse ($soap_response) {
    
    $xml = new SimpleXMLElement($soap_response);
    
    // Entro 'in due figli' del namespace soap, per ottenere GetNlListsResult ( il nome della funzione che ho invocato ).
    $elements = $xml->children('soap',true)->children()->children();
    
    // Ciclo negli elementi figlio, in teoria dovrei sempre aspettarmene uno solo.
    foreach ($elements as $e)
      // Devo creare un nuovo parser che ha come input il contenuto di questo elemento che è, a sua volta, un altro xml.
      return new SimpleXMLElement($e);
  }
  
} 
?>